Unify and manage your data

Create a hierarchy version

Learn more about how to use the Create hierarchy version to create a hierarchy version.

Use the Create hierarchy version to create a version for an existing hierarchy. You can also create the first hierarchy connection in the same request. This operation requires the MDM.Data.Hierarchy permission with the CREATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}/versions

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
nameStringYesThe name of the version.
statusStringNoThe status of the version.
effectiveStartDateStringNoThe start effective date of the version in ISO 8601 date format.
effectiveEndDateStringNoThe end effective date of the version in ISO 8601 date format.
descriptionStringNoThe description of the version.
contextStringNoAdditional context for the version.
firstConnectionObjectNoThe object that describes the first hierarchy connection to create.
parentIdStringSee firstConnectionThe entity ID of the parent object. Either the parent or the child must be part of the hierarchy being modified.
childIdStringSee firstConnectionThe entity ID of the child object. Either the parent or the child must be part of the hierarchy being modified.
startDateStringSee firstConnectionOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringSee firstConnectionOptional. The end effective date of the connection in ISO 8601 date format.

Example request

Use the following example to see how a complete request is structured with headers.

POST /list/prd/versions
Authorization: Bearer <token>

{
  "name": "Version 1",
  "status": "ACTIVE",
  "effectiveStartDate": "2024-01-01",
  "effectiveEndDate": "2026-12-31",
  "description": "longDescription",
  "context": "longContextDescription",
  "firstConnection": {
    "parentId": "prtId",
    "childId": "cldId",
    "startDate": "2024-01-01",
    "endDate": "2026-12-32"
  }
}

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
instanceIdStringThe ID of the created hierarchy instance.
versionIdStringThe ID of the created version.
nameStringThe name of the version.
statusStringOptional. The status of the version.
effectiveStartDateStringOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringOptional. The description of the version.
contextStringOptional. Additional context for the version.
firstConnectionObjectOptional. The created first hierarchy connection.
connectionIdStringThe ID of the created connection.
parentIdStringThe entity ID of the parent object.
childIdStringThe entity ID of the child object.
startDateStringOptional. The start effective date of the connection in ISO 8601 date format.
endDateStringOptional. The end effective date of the connection in ISO 8601 date format.
createdByStringThe username of the user who created the version.
createdTimeStringThe time when the version was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the version.
updatedTimeStringThe time when the version was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "instanceId": "0ABlc0A.0ABlgGQ",
  "versionId": "0ABlgGQ",
  "name": "Version 1",
  "status": "ACTIVE",
  "effectiveStartDate": "2024-01-01",
  "effectiveEndDate": "2026-12-31",
  "description": "longDescription",
  "context": "longContextDescription",
  "firstConnection": {
    "connectionId": "0ABmA6E",
    "parentId": "prtId",
    "childId": "cldId",
    "startDate": "2024-01-01",
    "endDate": "2026-12-31"
  },
  "createdBy": "email@reltio.com",
  "createdTime": "2025-04-01T13:30:00",
  "updatedBy": "email@reltio.com",
  "updatedTime": "2025-04-01T13:30:00"
}